plugins {
    java
    application
    kotlin("jvm") version "1.9.0"
}

group = "myapp"
version = "1.0-SNAPSHOT"

application {
    mainClass.set("myapp.AppKt")
}

repositories {
    mavenCentral()
}

tasks.test {
    useJUnitPlatform()
}

dependencies {
    implementation(kotlin("stdlib"))
    implementation("com.google.code.gson:gson:2.8.9")
    implementation("net.servicestack:client:1.1.0")
    testImplementation(platform("org.junit:junit-bom:5.7.0"))
    testImplementation("org.junit.jupiter:junit-jupiter")
}
